petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPSetPreSolve

Sets a function that is called before every KSPSolve() is started

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetPreSolve(KSP ksp,PetscErrorCode (*presolve)(KSP,Vec,Vec,void*),void *prectx)

Logically Collective on KSP

### Input Parameters

| ksp | - the solver object
| presolve | - the function to call before the solve
| prectx | - any context needed by the function

### Keywords

KSP, create, context

### See Also

KSPSetUp(), KSPSolve(), KSPDestroy(), KSP, KSPSetPostSolve()

Level:developer
Location:src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages